[IPython-dev] GUI support: conflicts between IPython 0.11 and Matplotlib/ETS

Gael Varoquaux gael.varoquaux@normalesup....
Fri Feb 12 05:11:04 CST 2010


On Fri, Feb 12, 2010 at 12:06:50PM +0100, Hans Meine wrote:
> Do I?  I see it more like a minimal setup function for opening the main 
> window, which is all I care about.  The QApplication line is only there to 
> make the stuff below work (with Qt, as with most toolkits AFAIK, I would 
> otherwise get an error because the widgets will rely on global state being 
> initialized by the application constructor).

Use:

    app = QtGui.QApplication.instance()

That should suit your needs and avoid creating an QApplication if it
already exists.

Cheers,

Gaël


More information about the IPython-dev mailing list